Package net.shibboleth.saml.metadata

# Class Version

java.lang.Object
net.shibboleth.saml.metadata.Version

public final class Version extends Object
Class for printing the version of this library.

## Field Summary

Fields
Modifier and Type
Field
Description
`private static final String`
`VERSION`
IdP version.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`Version()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`static String`
`getVersion()`
Get the version of the library.
`static void`
`main(String[] args)`
Main entry point to program.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### VERSION

@Nullable private static final String VERSION
IdP version.

## Constructor Details

### Version

private Version()
Constructor.

## Method Details

### main

public static void main(String[] args)
Main entry point to program.

Parameters:
  `args` - command line arguments

### getVersion

@Nullable public static String getVersion()
Get the version of the library.

Returns:
  version of the library